nxt.http.callers

## Class EncryptToCall

- java.lang.Object
- - nxt.http.APICall.Builder<EncryptToCall>
  - - nxt.http.callers.EncryptToCall

-     public class EncryptToCall
      extends APICall.Builder<EncryptToCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EncryptToCall` | `compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)`
    `static EncryptToCall` | `create()`
    `EncryptToCall` | `messageToEncrypt(java.lang.String messageToEncrypt)`
    `EncryptToCall` | `messageToEncryptIsText(boolean messageToEncryptIsText)`
    `EncryptToCall` | `recipient(long recipient)`
    `EncryptToCall` | `recipient(java.lang.String recipient)`
    `EncryptToCall` | `secretPhrase(java.lang.String secretPhrase)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static EncryptToCall create()

    - #### compressMessageToEncrypt

          public EncryptToCall compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)

    - #### recipient

          public EncryptToCall recipient(java.lang.String recipient)

    - #### recipient

          public EncryptToCall recipient(long recipient)

    - #### messageToEncryptIsText

          public EncryptToCall messageToEncryptIsText(boolean messageToEncryptIsText)

    - #### messageToEncrypt

          public EncryptToCall messageToEncrypt(java.lang.String messageToEncrypt)

    - #### secretPhrase

          public EncryptToCall secretPhrase(java.lang.String secretPhrase)

      Overrides:
        `secretPhrase` in class `APICall.Builder<EncryptToCall>`